package cn.com.qmth.examcloud.task.service.job;

import java.util.Calendar;
import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.task.base.AbstractTask;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.base.TaskTracker;
import cn.com.qmth.examcloud.task.dao.TaskTraceRepo;

/**
 * 任务跟踪记录清理
 *
 * @author WANGWEI
 * @date 2018年11月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Component("taskTraceCleanTask")
public class TaskTraceCleanTask extends AbstractTask {

	@Autowired
	TaskTracker TaskTracker;

	@Autowired
	TaskTraceRepo taskTraceRepo;

	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		// 清理过去7天前的数据
		Calendar c = Calendar.getInstance();
		c.setTime(new Date());
		c.add(Calendar.DATE, -7);
		Date d = c.getTime();
		taskTraceRepo.deleteByCreationTimeLessThan(d);
	}

	@Override
	public TaskTracker getTaskTracker() {
		return TaskTracker;
	}
}
